Package com.emc.documentum.rest.http

# Class BaseUriInfo

java.lang.Object
com.emc.documentum.rest.http.BaseUriInfo

Direct Known Subclasses:
  `UriInfo`

public class BaseUriInfo extends Object
This class provides the basic information for an URI.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BASE_URI_INFO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseUriInfo()`
  Default constructor for the base URI information.
  `BaseUriInfo(BaseUriInfo uri)`
  Constructor with the base URI info.
  `BaseUriInfo(com.emc.documentum.rest.http.ForwardedUri uri)`
  Constructor with the URI parameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseUri()`
  Return the base URI; for example, "http://local"
  `String`
  `getFormatExtension()`
  Return the URI format extension
  `String`
  `getFullUri()`
  Return the full URI
  `String`
  `getRequestUri()`
  Return the request URI
  `void`
  `setBaseUri(String baseUri)`
  Set the base URI
  `void`
  `setFormatExtension(String formatExtension)`
  Set the URI format extension; for example, '.json', '.xml', etc.
  `void`
  `setFullUri(String fullUri)`
  Set the full URI with root, path and query; for example, 'http://localhost:8080/rest/resoruces?q=doc'
  `void`
  `setRequestUri(String requestUri)`
  Set the request URI with both root and path; for example, 'http://localhost:8080/rest/resoruces?q=doc'
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BASE_URI_INFO

    public static final String BASE_URI_INFO
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BaseUriInfo

    public BaseUriInfo()
    Default constructor for the base URI information.

  - ### BaseUriInfo

    public BaseUriInfo(com.emc.documentum.rest.http.ForwardedUri uri)
    Constructor with the URI parameter.
    Parameters:
      `uri` - the forwarded URI

  - ### BaseUriInfo

    public BaseUriInfo(BaseUriInfo uri)
    Constructor with the base URI info.
    Parameters:
      `uri` - the base URI info

- ## Method Details

  - ### getFormatExtension

    public String getFormatExtension()
    Return the URI format extension
    Returns:
      the URI format extension

  - ### setFormatExtension

    public void setFormatExtension(String formatExtension)
    Set the URI format extension; for example, '.json', '.xml', etc.
    Parameters:
      `formatExtension` - the URI format extension

  - ### getBaseUri

    public String getBaseUri()
    Return the base URI; for example, "http://local"
    Returns:
      the base URI

  - ### setBaseUri

    public void setBaseUri(String baseUri)
    Set the base URI
    Parameters:
      `baseUri` - the base URI

  - ### getFullUri

    public String getFullUri()
    Return the full URI
    Returns:
      the full URI

  - ### setFullUri

    public void setFullUri(String fullUri)
    Set the full URI with root, path and query; for example, 'http://localhost:8080/rest/resoruces?q=doc'
    Parameters:
      `fullUri` - the full URI

  - ### getRequestUri

    public String getRequestUri()
    Return the request URI
    Returns:
      the request URI

  - ### setRequestUri

    public void setRequestUri(String requestUri)
    Set the request URI with both root and path; for example, 'http://localhost:8080/rest/resoruces?q=doc'
    Parameters:
      `requestUri` - the request URI

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`